<?php 
$RowCasePatientinfo = get_single_patient_details_from_id($DB,$Case_Patient_Id);
//$Results_all_visit = get_total_visit_appointment($DB,$Case_Patient_Id);
$Results_all_visit = get_total_finish_visit_appointment($DB,$Case_Patient_Id);

?>
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      
      <div style="padding-left: 17px;">
        <a href="<?php echo $Main_Site_Url; ?>/doctor_dashborad.php"><i class="fa fa-arrow-circle-o-left"></i> Back</a>
      </div>
        
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu">
        <li class="header" style="color: white; font-weight: bold;"><?php echo $RowCasePatientinfo['pm_first_name']." ".$RowCasePatientinfo['pm_last_name'] ?> <br /><?php echo $RowCasePatientinfo['pm_gender']; ?>: <?php echo $diff = (date('Y') - date('Y',strtotime($RowCasePatientinfo['pm_dob']))); ?> Years</li>
        <li class="header" style="color: white; font-weight: bold;">Total Visit: <?php echo $Results_all_visit['row_count']; ?> </li>
         
        <li >
          <a href="patient_profile.php?id=<?php echo $Case_Patient_Id1;  ?>">
            <span>Registration Details</span>            
          </a>
        </li>

        <?php if(in_array('11', $AarruserRole) || in_array('33', $AarruserRole)) { ?>

        <li class="treeview">
          <a href="#">
            <span>First Consultation</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu" style="display: none;">
            
            <?php if(in_array('33', $AarruserRole)) { ?>

            <li style="border-bottom: 1px solid #ccc;"><a href="add_case_profile.php?id=<?php echo $Case_Patient_Id1;  ?>">Add Consultation</a></li>
            
            <?php } ?>

            <?php if(in_array('11', $AarruserRole)) { ?>

            <?php
              $Results_PatientAll_CaseManager = get_all_patient_case_manager_detials($DB,$Case_Patient_Id);
              foreach ($Results_PatientAll_CaseManager as $Row_PatientAll_CaseManager) {

                $CaseId = base64_encode($Row_PatientAll_CaseManager['tcm_id']);
                $DocId = $Row_PatientAll_CaseManager['um_id'];
                $RowCaseDoctor = get_user_master_details_from_id($DB,$DocId);
                $Doc_DPId = $RowCaseDoctor['dp_id'];
                $Row_DR_Depart = get_department_details_from_id($DB,$Doc_DPId);
                $addate = $Row_PatientAll_CaseManager['tcm_datetime'];
                $add_case_date = date('d-m-Y h:i A', strtotime($addate));
            ?>
            
            <li style="border-bottom: 1px solid #ccc;"><a href="casemanager.php?id=<?php echo $Case_Patient_Id1;  ?>&case_id=<?php echo $CaseId; ?>"><?php echo $Row_DR_Depart['dp_name'] ?>: <?php echo $RowCaseDoctor['um_name']; ?> <br /> Create On: <?php echo $add_case_date; ?></a></li>
            
            <?php } ?>

            <?php } ?>
            
          </ul>
        </li>

        <?php } ?>

        <?php if(in_array('11', $AarruserRole) || in_array('33', $AarruserRole)) { ?>

        <li class="treeview">
          <a href="#">
            <span>Followup Visit</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu" style="display: none;">
            <?php if(in_array('33', $AarruserRole)) { ?>

            <li style="border-bottom: 1px solid #ccc;"><a href="add_visit_profile.php?id=<?php echo $Case_Patient_Id1;  ?>">Add Visit</a></li>

            <?php } ?>

            <?php if(in_array('11', $AarruserRole)) { ?>
            
            <?php
              $Results_PatientAll_CaseManager_Visit = get_all_patient_case_manager_visit_detials($DB,$Case_Patient_Id);
              foreach ($Results_PatientAll_CaseManager_Visit as $Row_PatientAll_CaseManager_Visit) {

                $CaseId = base64_encode($Row_PatientAll_CaseManager_Visit['tcm_id']);
                $DocId = $Row_PatientAll_CaseManager_Visit['um_id'];
                $RowCaseDoctor = get_user_master_details_from_id($DB,$DocId);
                $Doc_DPId = $RowCaseDoctor['dp_id'];
                $Row_DR_Depart = get_department_details_from_id($DB,$Doc_DPId);
                $fdate = $Row_PatientAll_CaseManager_Visit['tcm_datetime'];
                $followup_date = date('d-m-Y h:i A', strtotime($fdate));

            ?>

            <li style="border-bottom: 1px solid #ccc;"><a href="casemanager.php?id=<?php echo $Case_Patient_Id1;  ?>&case_id=<?php echo $CaseId; ?>"><?php echo $Row_DR_Depart['dp_name'] ?>: <?php echo $RowCaseDoctor['um_name']; ?> <br /> Create On: <?php echo $followup_date; ?></a></li>

            <?php } ?>

            <?php } ?>


          </ul>
        </li>

        <?php } ?>

        <?php if(in_array('34', $AarruserRole)) { ?>
        <li class="treeview">
            <a href="#">
              <span>Clinical Data</span>
              <span class="pull-right-container">
                    <i class="fa fa-angle-left pull-right"></i>
              </span>
            </a>
            <ul class="treeview-menu" style="display: none;">
              <li><a href="casemanager_allergy.php?id=<?php echo $Case_Patient_Id1;  ?>">Allergy</a></li>
              <li><a href="casemanager_vitals.php?id=<?php echo $Case_Patient_Id1;  ?>">Vitals</a></li>
              <li><a href="casemanager_b_composition.php?id=<?php echo $Case_Patient_Id1;  ?>">Body Composition</a></li>
              <li><a href="casemanager_lab_reports.php?id=<?php echo $Case_Patient_Id1;  ?>">Lab Reports</a></li>
            </ul>
        </li>
        <?php } ?>

        <?php if(in_array('38', $AarruserRole)) { ?>

        <?php
          $pm_pid = base64_decode($Case_Patient_Id1);
          $get_patient_data = get_single_patient_details_from_id($DB,$pm_pid);
          $dnd = $get_patient_data['pm_dnd'];
          if($dnd == 0){          
        ?>
        <li><a href="followup_care.php?id=<?php echo $Case_Patient_Id1;  ?>"><i class="fa fa-users"></i> <span>Patient Engagement </span></a></li>
        <?php } ?>
        <?php } ?>
        
        <?php if(in_array('42', $AarruserRole)) { ?>

        <li><a href="documents.php?id=<?php echo $Case_Patient_Id1;  ?>"><i class="fa fa-user"></i> <span>Documents</span></a></li>
        
        <?php } ?>

        <?php if(in_array('11', $AarruserRole)) { ?>

        <li><a href="case_file.php?id=<?php echo $Case_Patient_Id1;  ?>"><i class="fa fa-user"></i> <span>Case File</span></a></li>
        
        <?php } ?>

        <?php if(in_array('45', $AarruserRole) || in_array('46', $AarruserRole)) { ?>

        <li class="treeview">
            <a href="#">
              <span>Activity Logs</span>
              <span class="pull-right-container">
                    <i class="fa fa-angle-left pull-right"></i>
              </span>
            </a>
            <ul class="treeview-menu" style="display: none;">
              <?php if(in_array('45', $AarruserRole)) { ?>
              <li><a href="sms_logs.php?id=<?php echo $Case_Patient_Id1;  ?>">SMS Logs</a></li>
              <?php } ?>

              <?php if(in_array('46', $AarruserRole)) { ?>

              <li><a href="visit_history.php?id=<?php echo $Case_Patient_Id1;  ?>">Patient Visit History</a></li>

              <?php } ?>
            </ul>
        </li>

        <?php } ?>
        


        

      </ul>
      
      
    </section>
    <!-- /.sidebar -->
  </aside>